/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2017. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCB */
#define  PANEL_BUTTON_SCANGPIB            2       /* control type: command, callback function: scan_gpib */
#define  PANEL_BUTTON_CLEAR               3       /* control type: command, callback function: clear_graph */
#define  PANEL_BUTTON_OPENGPIB            4       /* control type: command, callback function: open_gpib */
#define  PANEL_MENU_DEVICE                5       /* control type: ring, callback function: (none) */
#define  PANEL_LED_TRIGGER                6       /* control type: LED, callback function: (none) */
#define  PANEL_LED_CONNECTED              7       /* control type: LED, callback function: (none) */
#define  PANEL_NUMERIC_READ               8       /* control type: numeric, callback function: (none) */
#define  PANEL_CHART_TIME                 9       /* control type: strip, callback function: (none) */
#define  PANEL_CHECK_RANGE_7              10      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_RANGE_6              11      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_RANGE_5              12      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_RANGE_4              13      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_RANGE_3              14      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_RANGE_2              15      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_RANGE_1              16      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_RANGE_0              17      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_SAMPLE_100           18      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_SAMPLE_10            19      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_SAMPLE_1             20      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_RANGE_AUTO           21      /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECK_4WOHM                22      /* control type: radioButton, callback function: Ohm4W_check */
#define  PANEL_CHECK_2WOHM                23      /* control type: radioButton, callback function: Ohm2W_check */
#define  PANEL_CHECK_ACDC                 24      /* control type: radioButton, callback function: ACDC_check */
#define  PANEL_CHECK_ACV                  25      /* control type: radioButton, callback function: ACV_check */
#define  PANEL_CHECK_DCV                  26      /* control type: radioButton, callback function: DCV_check */
#define  PANEL_TEXTMSG                    27      /* control type: textMsg, callback function: (none) */
#define  PANEL_TEXTMSG_2                  28      /* control type: textMsg, callback function: (none) */
#define  PANEL_TEXTMSG_3                  29      /* control type: textMsg, callback function: (none) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK ACDC_check(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ACV_check(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK clear_graph(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DCV_check(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Ohm2W_check(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Ohm4W_check(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK open_gpib(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panelCB(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scan_gpib(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
